Bug 1006561 - Katello Import Manifest - Click Server Name - Causing Network Error (tcp_error)
Katello Import Manifest - Click Server Name - Causing Network Error (tcp_error)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Tom McKay
Kedar Bidarkar
: Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-09-10 16:10 EDT by Scott Parker
Modified: 2014-04-24 13:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Parker 2013-09-10 16:10:30 EDT
Description of problem:

When trying to see that manifest for the server, clicking on the server cause a webpage to show network error.  Was expecting to see the server on the portal showing what subscriptions have been attached to it.

Version-Release number of selected component (if applicable):


How reproducible:

In Katello, clicking on Content->Subscriptions->Red Hat Subscriptions.  Pick a subscription, click on Import Manifest, there the server name.  Click on the servername and new tab open or webpage with the error.  URL says http://localhost:8443/candlepin/44d3024e-76cd-412c-9cba-0afe059b1d23 an

Steps to Reproduce:
1. http://server/katello
2. click content
3. click subscriptions
4. click Red Hat subscriptions
5. pick a subscription from the left hand column
6. click the server's name adjacent to Subscription Manifest
7. wait for website to appear.

Actual results:

http://localhost:8443/candlepin/44d3024e-76cd-412c-9cba-0afe059b1d23 in the URL in a new tab/window

Page says:

Network Error (tcp_error) 

A communication error occurred: "Connection refused"
The Web Server may be down, too busy, or experiencing other problems preventing it from responding to requests. You may wish to try again at a later time.

For assistance, contact your network support team.


Expected results:

A page would appear showing subscription information for that server.


Additional info:
Comment 1 Tom McKay 2013-09-10 16:19:36 EDT
The production customer portal has not yet been updated to support the conf settings required to link back and refresh from it yet. If you wish to try the functionality and have access to the stage customer portal, please try there.

I will switch this BZ to POST when the customer portal has been updated.
Comment 3 sthirugn@redhat.com 2013-10-02 17:16:16 EDT
This works fine for me today.  Are you still getting this error?
Comment 4 Tom McKay 2013-10-02 17:19:34 EDT
Fixed as part of SAM-1.3
Comment 5 Corey Welton 2013-10-02 17:25:11 EDT
this should have the sat-6.0.2 flag.
Comment 6 Kedar Bidarkar 2013-10-22 09:11:08 EDT
This now works fine for me, it does take me to the customer portal and show the attached subscriptions for the manifest.
Comment 7 Bryan Kearney 2014-04-24 13:08:47 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.